Bug 1607286 - glibc regex [a-z] and [A-Z] results changed for English locales after harmonization with Unicode/ISO 14651.
Summary: glibc regex [a-z] and [A-Z] results changed for English locales after harmoni...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 28
Hardware: All
OS: Linux
high
urgent
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1601681
TreeView+ depends on / blocked
 
Reported: 2018-07-23 08:13 UTC by Florian Weimer
Modified: 2019-05-28 22:31 UTC (History)
12 users (show)

Fixed In Version: glibc-2.27.9000-41.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1601681
Environment:
Last Closed: 2019-05-28 22:31:34 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1631472 0 unspecified CLOSED Locale support in regular expression and range expression 2021-02-22 00:41:40 UTC
Sourceware 23393 0 None None None 2019-03-07 13:21:13 UTC
Sourceware 23420 0 None None None 2019-03-07 13:21:13 UTC

Internal Links: 1631472

Description Florian Weimer 2018-07-23 08:13:42 UTC
+++ This bug was initially created as a clone of Bug #1601681 +++

Description of problem:
xfstests suddently can't be installed by running make install on latest […], with make-4.2.1-7[…]. It never happens before. And it's not a xfstests regression issue. Due to upstream make can reproduce this bug too, so I report it to upstream too. More details please check:

https://marc.info/?l=fstests&m=153131978019489&w=2
https://marc.info/?l=fstests&m=153174171821959&w=2

The error output as below

# make
# make install
Building include
Building lib
Building ltp
Building src
Building log-writes
Building perf
Building aio-dio-regress
Building m4
Building common                                
Building tests
/usr/bin/gmake --no-print-directory Q=@ -C include install
gmake[1]: Nothing to be done for 'install'.
/usr/bin/gmake --no-print-directory Q=@ -C lib install
gmake[1]: Nothing to be done for 'install'.
/usr/bin/gmake --no-print-directory Q=@ -C ltp install
../install-sh -o root -g root -m 755 -d /var/lib/xfstests/ltp
/bin/sh ../libtool --quiet --mode=install ../install-sh -o root -g root -m 755 doio \
                fsstress fsx growfiles iogen aio-stress /var/lib/xfstests/ltp
../install-sh -o root -g root -m 755 rwtest.sh /var/lib/xfstests/ltp
/usr/bin/gmake --no-print-directory Q=@ -C src install                           
Building log-writes
Building perf
Building aio-dio-regress
/usr/bin/gmake -C log-writes install
../../install-sh -o root -g root -m 755 -d /var/lib/xfstests/src/log-writes
../../install-sh -o root -g root -m 755 replay-log /var/lib/xfstests/src/log-writes
/usr/bin/gmake -C perf install
../../install-sh -o root -g root -m 755 -d /var/lib/xfstests/src/perf
../../install-sh -o root -g root -m 755 ResultData.py fio-insert-and-compare.py \
FioResultDecoder.py FioCompare.py generate-schema.py fio-results.sql \
                /var/lib/xfstests/src/perf
/usr/bin/gmake -C aio-dio-regress install
../../install-sh -o root -g root -m 755 -d /var/lib/xfstests/src/aio-dio-regress
../../install-sh -o root -g root -m 755 aio-dio-fcntl-race aio-dio-subblock-eof-read \
aio-dio-append-write-read-race aio-dio-invalidate-readahead aio-dio-hole-filling-race \
aio-free-ring-with-bogus-nr-pages aio-last-ref-held-by-io aio-dio-cycle-write \
aio-dio-extend-stat aio-io-setup-with-nonwritable-context-pointer \
aio-dio-invalidate-failure aiodio_sparse2 aiocp aio-dio-cow-race aio-dio-eof-race \
                /var/lib/xfstests/src/aio-dio-regress
../install-sh -o root -g root -m 755 -d /var/lib/xfstests/src
/bin/sh ../libtool --quiet --mode=install ../install-sh -o root -g root -m 755 \
dirstress fill fill2 getpagesize holes lstat64 nametest permname randholes runas \
truncfile usemem mmapcat append_reader append_writer dirperf metaperf devzero feature \
alloc fault fstest t_access_root godown resvtest writemod writev_on_pagefault \
makeextents itrash rename multi_open_unlink dmiperf unwritten_sync genhashnames \
t_holes t_mmap_writev t_truncate_cmtime dirhash_collide t_rename_overwrite holetest \
t_truncate_self t_mmap_dio af_unix t_mmap_stale_pmd t_mmap_cow_race t_mmap_fallocate \
fsync-err t_mmap_write_ro t_ext4_dax_journal_corruption t_ext4_dax_inline_corruption \
t_ofd_locks t_locks_execve xfsctl bstat t_mtab getdevicesize \
preallo_rw_pattern_reader preallo_rw_pattern_writer ftrunc trunc fs_perms testx \
looptest locktest unwritten_mmap bulkstat_unlink_test bulkstat_unlink_test_modified \
t_dir_offset t_futimens t_immutable stale_handle pwrite_mmap_blocked t_dir_offset2 \
seek_sanity_test seek_copy_test   t_readdir_1 t_readdir_2 fsync-tester nsexec cloner \
renameat2 t_getcwd e4compact test-nextquota punch-alternating \
attr-list-by-handle-cursor-test listxattr dio-interleaved t_dir_type \
dio-invalidate-cache stat_test t_encrypted_d_revalidate attr_replace_test swapon \
                mkswap fiemap-tester t_stripealign open_by_handle dbtest fssum \
                /var/lib/xfstests/src
/bin/sh ../libtool --quiet --mode=install ../install-sh -o root -g root -m 755 \
                dmerror fill2attr fill2fs fill2fs_check scaleread.sh \
                /var/lib/xfstests/src
/bin/sh ../libtool --quiet --mode=install ../install-sh -o root -g root -m 644 \
                dumpfile /var/lib/xfstests/src
/usr/bin/gmake --no-print-directory Q=@ -C m4 install
gmake[1]: Nothing to be done for 'install'.
/usr/bin/gmake --no-print-directory Q=@ -C common install
../install-sh -o root -g root -m 755 -d /var/lib/xfstests/common
../install-sh -o root -g root -m 644 * /var/lib/xfstests/common
/usr/bin/gmake --no-print-directory Q=@ -C tests install
/usr/bin/gmake --no-print-directory Q=@ -C /home/git/xfstests-dev/tests/ install
/usr/bin/gmake --no-print-directory Q=@ -C /home/git/xfstests-dev/tests/ install
/usr/bin/gmake --no-print-directory Q=@ -C /home/git/xfstests-dev/tests/ install
/usr/bin/gmake --no-print-directory Q=@ -C /home/git/xfstests-dev/tests/ install
/usr/bin/gmake --no-print-directory Q=@ -C /home/git/xfstests-dev/tests/ install
/usr/bin/gmake --no-print-directory Q=@ -C /home/git/xfstests-dev/tests/ install
......
......
(again and again and again ....)
......
......



Version-Release number of selected component (if applicable):
make-4.2.1-7[…]
glibc-2.27-30[…]
gcc-8.1.1-1[…]

How reproducible:
100%

Steps to Reproduce:
1. git clone git://git.kernel.org/pub/scm/fs/xfs/xfstests-dev.git, current HEAD commit is 0804dc173618a1a1fa6d1b916b9b7dcfe72fe1f8.
2. install build dependences.
3. make
4. make install

Actual results:
can't be installed

Expected results:
pass

Additional info:
Paul Smith <psmith@gnu.org> said:
If there's a change which introduces a problem with wildcard it is
more likely to be related to the GNU libc implementation of glob() or
fnmatch().

Comment 1 Ben Cotton 2019-05-02 20:52:18 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 22:31:34 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.